package org.jeecg.common.base.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 基础审核统计实体类
 *
 * @author Create by YLL
 * @date 2020/4/27 14:55
 */
@Data
public class BaseAuditStatisticsEntity implements Serializable {
    /**
     * 单位ID
     */

    private String tenantId;
    /**
     * 操作ID
     */

    private String opId;
    /**
     * 模块对应的formkey
     */

    private String moduleKey;
    /**
     * 业务ID
     */

    private String businessId;
    /**
     * 部门ID
     */

    private String deptId;
    /**
     * 流程节点ID
     */

    private String taskId;
    /**
     * 流程节点名称
     */

    private String taskNodeName;
    /**
     * 审核人id
     */

    private String opAssignee;
    /**
     * 审核人姓名
     */

    private String opAssigneeName;
    /**
     * 审批选项
     */

    private String opFlag;
    /**
     * 审核或确认时间
     */

    private Date opTime;
}
