package org.jeecg.modules.apply.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.activiti.engine.delegate.DelegateExecution;
import org.activiti.engine.delegate.DelegateTask;
import org.jeecg.common.base.entity.BaseTaskEntity;

/**
 * 流程信息
 *
 * @Author: yll
 * @Date: 2019/7/24 11:02
 */
public interface ApplyProcessService extends IService<BaseTaskEntity> {
    /**
     * 跟新审批结果
     *
     * @param delegateExecution
     * @return
     */
    void updateProcessResult(DelegateExecution delegateExecution);

    /**
     * 跟新工作联系单审批结果
     *
     * @param delegateExecution
     * @return
     */
    void updateContactProcessResult(DelegateExecution delegateExecution);

    /**
     * 跟新问题回复审批结果
     *
     * @param delegateExecution
     * @return
     */
    void updateProblemProcessResult(DelegateExecution delegateExecution);


}
