package org.jeecg.modules.approval.model.dto;

import lombok.Data;
import org.jeecg.common.system.vo.LoginUser;

import java.util.Date;
import java.util.List;

/**
 * 当前流程任务节点信息
 *
 * @author Create by YLL
 * @date 2020/4/9 9:55
 */
@Data
public class CurrTaskNodeInfoDTO {
    /**
     * 当前任务id
     */
    private String taskId;
    /**
     * 当前任务节点名称
     */
    private String taskName;
    /**
     * 当前节点开始时间
     */
    private Date startTime;
    /**
     * 当前任务审批人
     */
    private LoginUser assignee;
    /**
     * 当前任务审批人候选组
     */
    private List<LoginUser> candidates;

}
