package org.jeecg.modules.ItdmWtkehu.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 客户管理
 * @Author: jeecg-boot
 * @Date:   2023-05-22
 * @Version: V1.0
 */
@Data
@TableName("itdm_wtkehu")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_wtkehu对象", description="客户管理")
public class ItdmWtkehu implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**委托单位名称*/
	@Excel(name = "委托单位名称", width = 15)
    @ApiModelProperty(value = "委托单位名称")
    private java.lang.String weituiClient;
	/**委托单位地址*/
	@Excel(name = "委托单位地址", width = 15)
    @ApiModelProperty(value = "委托单位地址")
    private java.lang.String weituiAddress;
	/**委托联系人*/
	@Excel(name = "委托联系人", width = 15)
    @ApiModelProperty(value = "委托联系人")
    private java.lang.String weituiLxr;
	/**委托电话*/
	@Excel(name = "委托电话", width = 15)
    @ApiModelProperty(value = "委托电话")
    private java.lang.String weituiPhone;
	/**委托邮箱*/
	@Excel(name = "委托邮箱", width = 15)
    @ApiModelProperty(value = "委托邮箱")
    private java.lang.String weituiEmail;
}
