package org.jeecg.modules.baogao.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 报告生成
 * @Author: jeecg-boot
 * @Date: 2023-05-19
 * @Version: V1.0
 */
@Data
public class ItdmBaogaoCreateDTO implements Serializable {
    private static final long serialVersionUID = 1L;


    private String weituoId;

    /**
     * 委托样品id列表
     */
    private List<String> sampleIds;

    /**
     * 委托样品检测Id列表
     */

    private List<String> testItemsIds;

    /**
     * 报告类型
     */

    private String baogaoType;



    private  String wendu;
    private  String daqiya;
    private String shidu;

}
