package org.jeecg.modules.baogao.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 报告生成
 * @Author: jeecg-boot
 * @Date: 2023-05-19
 * @Version: V1.0
 */
@Data
public class ItdmBaogaoListVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")

    private Date createTime;
    /**
     * 更新人
     */
    private String updateBy;
    /**
     * 更新日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")

    private Date updateTime;
    /**
     * 所属部门
     */
    private String sysOrgCode;
    /**
     * 委托编号
     */
    private String weituoNo;
    /**
     * 委托id
     */
    private String weituoId;
    /**
     * 委托单位名称
     */
    private String weituoClient;
    /**
     * 委托样品列表
     */
    private String sampleNames;
    /**
     * 委托样品id列表
     */
    private String sampleIds;
    /**
     * 委托联系人
     */
    private String weituoLxr;
    /**
     * 委托样品检测Id列表
     */
    private String testItemsIds;
    /**
     * 委托样品检测列表
     */
    private String testItemsNames;
    /**
     * 报告类型
     */
    private String baogaoType;


    private  String baogaoTypeName;
    /**
     * 报告文件地址
     */
    private String filePath;
}
