package org.jeecg.modules.flowpath.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.flowpath.entity.ItdmFlowPathStep;

/**
 * @Description: 流程步骤表
 * @Author: jeecg-boot
 * @Date:   2023-07-20
 * @Version: V1.0
 */
public interface ItdmFlowPathStepMapper extends BaseMapper<ItdmFlowPathStep> {

    /**根据运行流程表的流程步骤id查对应流程步骤表的步骤顺序*/
    @Select("select sort from itdm_flow_path_step where id = #{dqStep}")
    public String getSortByFlowPathStepId(String dqStep);

}
