package org.jeecg.modules.flowpath.service;

import org.jeecg.modules.flowpath.entity.ItdmFlowPathStep;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 流程步骤表
 * @Author: jeecg-boot
 * @Date:   2023-07-20
 * @Version: V1.0
 */
public interface IItdmFlowPathStepService extends IService<ItdmFlowPathStep> {

    /**根据运行流程表的流程步骤id查对应流程步骤表的步骤顺序*/
    public String getSortByFlowPathStepId(String dqStep);

    /**新增运行流程——选择下一步操作的人*/
    public List<String> AddSelectNextStepUser();

}
