package org.jeecg.modules.gongdandetail.convert;

import org.jeecg.modules.gongdandetail.dto.ItdmGongdanDetailEditDTO;
import org.jeecg.modules.itdmGongDan.entity.ItdmGongdanDetail;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;
import org.springframework.util.CollectionUtils;

import java.util.stream.Collectors;

/**
 * 敏感词 Convert
 *
 * @author 永不言败
 */
@Mapper(unmappedTargetPolicy = ReportingPolicy.IGNORE,imports ={ CollectionUtils.class, Collectors.class})

public interface GongdanDetailConvert {

    GongdanDetailConvert INSTANCE = Mappers.getMapper(GongdanDetailConvert.class);

    @Mapping(target = "remark", source = "remark") // 明确指定 remark 属性的映射关系
    ItdmGongdanDetail convert(ItdmGongdanDetailEditDTO convert);











}
