package org.jeecg.modules.gongdandetail.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 工单detail
 * @Author: jeecg-boot
 * @Date:   2023-05-21
 * @Version: V1.0
 */
@Data

public class ItdmGongdanDetailEditDTO {
    private static final long serialVersionUID = 1L;

	/**主键*/
    private String id;

	/**实绩设备id*/

    private String shijiShebeiId;

	/**实绩试验类型*/
    private String shijiShiiyanType;

	/**实绩任务日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date shijiWorkDate;

	/**实绩试验开始时间*/

    private String shijiStartTime;
	/**实绩试验结束时间*/

    private String shijiEndTime;


    /** 备注 */
    private String remark;

    /**传感器*/

    private String chuanganqi;

}
