package org.jeecg.modules.inventory.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.inventory.entity.ItdmSampleInventory;

/**
 * @Description: 样品库存
 * @Author: jeecg-boot
 * @Date:   2023-06-25
 * @Version: V1.0
 */
public interface ItdmSampleInventoryMapper extends BaseMapper<ItdmSampleInventory> {

    @Select("select * from itdm_sample_inventory where id = " +
            "(select inventory_id from itdm_inventory_barcode where bar_code = #{barCode})")
    public ItdmSampleInventory getByBarCode(@Param("barCode") String barCode);
}
