package org.jeecg.modules.inventory.service.impl;

import org.jeecg.modules.inventory.entity.ItdmInventoryBarcode;
import org.jeecg.modules.inventory.mapper.ItdmInventoryBarcodeMapper;
import org.jeecg.modules.inventory.service.IItdmInventoryBarcodeService;
import org.jeecg.modules.inventory.vo.BarcodeXialaListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 库存条码
 * @Author: jeecg-boot
 * @Date:   2023-06-26
 * @Version: V1.0
 */
@Service
public class ItdmInventoryBarcodeServiceImpl extends ServiceImpl<ItdmInventoryBarcodeMapper, ItdmInventoryBarcode> implements IItdmInventoryBarcodeService {

    @Autowired
    @SuppressWarnings("all")
    private ItdmInventoryBarcodeMapper barcodeMapper;

    /**入库的样品条码列表（下拉列表）*/
    public List<BarcodeXialaListVO> rukuBarcodeList(){
        return barcodeMapper.rukuBarcodeList();
    }



}
