package org.jeecg.modules.inventory.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;


@Data
@Accessors(chain = true)
public class BarcodeXialaListVO implements Serializable {

    /**库存id*/
    @Excel(name = "库存id", width = 15)
    @ApiModelProperty(value = "库存id")
    private java.lang.String inventoryId;
    /**条码*/
    @Excel(name = "条码", width = 15)
    @ApiModelProperty(value = "条码")
    private java.lang.String barCode;
    /**样品名称*/
    @Excel(name = "样品名称", width = 15)
    @ApiModelProperty(value = "样品名称")
    private String sampleName;


}
