package org.jeecg.modules.itdmAlarm.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.itdmAlarm.entity.ItdmAlarm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 历史报警表
 * @Author: jeecg-boot
 * @Date:   2023-05-20
 * @Version: V1.0
 */
public interface ItdmAlarmMapper extends BaseMapper<ItdmAlarm> {

    @Select("select * from itdm_alarm where year(create_time)=#{nowYear} and month(create_time)=#{nowMonth}")
    public List<ItdmAlarm> selectByYearMouthDay(@Param("nowYear") Integer nowYear, @Param("nowMonth") Integer nowMonth);

}
