package org.jeecg.modules.itdmDevice.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.itdmDevice.entity.ItdmDevice;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 设备表
 * @Author: jeecg-boot
 * @Date:   2023-05-20
 * @Version: V1.0
 */
public interface IItdmDeviceService extends IService<ItdmDevice> {

    /**
     * 设备下拉列表
     */
    public List<ItdmDevice> queryList();

    /**
     * 通过设备id（多个，以逗号间隔）查询设备名（多个，以逗号间隔）
     */
    String queryNameByIdList(@Param("shebeiId") String shebeiId);

}
