package org.jeecg.modules.itdmFirstPage.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
public class ItdmTaskQueryDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**任务状态（0待办1进行2完成）*/
    @Excel(name = "任务状态（0待办1进行2完成）", width = 15, dicCode = "task_status")
    @Dict(dicCode = "task_status")
    @ApiModelProperty(value = "任务状态（0待办1进行2完成）")
    private java.lang.Integer taskStatus;
    /**待办角色*/
    @Excel(name = "待办角色", width = 15)
    @ApiModelProperty(value = "待办角色")
    private List<String> taskRoleList;
    /**待办人员*/
    @Excel(name = "待办人员", width = 15)
    @ApiModelProperty(value = "待办人员")
    private java.lang.String taskUser;

}
