package org.jeecg.modules.itdmFirstPage.service;

import org.jeecg.modules.itdmFirstPage.dto.ItdmTaskQueryDTO;
import org.jeecg.modules.itdmFirstPage.entity.ItdmTask;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.itdmFirstPage.vo.ItdmTaskListVO;

import java.util.List;

/**
 * @Description: 任务表
 * @Author: jeecg-boot
 * @Date:   2023-06-03
 * @Version: V1.0
 */
public interface IItdmTaskService extends IService<ItdmTask> {

    /**将对应委托id的左右任务状态都修改为完结状态*/
    public void updateByWeituoId(String weituoId);

    /**先根据待办人员、角色、任务判断是否已存在该任务，不存在再新增*/
    public boolean insertTaskAfterJudge(ItdmTask task);

    /**查询对应的任务列表*/
    public List<ItdmTaskListVO> queryTaskList(ItdmTaskQueryDTO dto);

}
