package org.jeecg.modules.itdmPersonManage.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.itdmDevice.entity.ItdmDevice;
import org.jeecg.modules.itdmPersonManage.entity.ItdmPersonManage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 人员管理
 * @Author: jeecg-boot
 * @Date:   2023-05-17
 * @Version: V1.0
 */
public interface ItdmPersonManageMapper extends BaseMapper<ItdmPersonManage> {

    /**
     * 项目经理下拉列表
     */
    @Select("select * from itdm_person_manage where position = #{position}" )
    List<ItdmPersonManage> queryList(@Param("position") String position);

}
