package org.jeecg.modules.largeScreen.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.modules.largeScreen.service.impl.ASecondScreenServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@Api(tags = ".二级大屏折线图初始化数据")
@RequestMapping("/second/screen")
public class ASecondScreenChushihuaController {


    @Autowired
    @SuppressWarnings("all")
    private ASecondScreenServiceImpl secondScreenService;

    /**
     * 初始化数据（连接建立成功时调用）
     * */
    @GetMapping("/chushihua")
    @ApiOperation("初始化数据")
    public Map<String,Object> getList(@RequestParam("id") String id){
        System.out.println("==================================初始化数据===========================id="+id);
        return secondScreenService.getList(id);
    }

}
