package org.jeecg.modules.largeScreen.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * @Description: 力学设备实时数据
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class ItdmLixueNow implements Serializable {
    private static final long serialVersionUID = 1L;

    /**设备名称*/
    @Excel(name = "设备名称", width = 15)
    @ApiModelProperty(value = "设备名称")
    private java.lang.String deviceName;

    /** 电流 */
    @Excel(name = "电流", width = 15)
    @ApiModelProperty(value = "电流")
    private java.math.BigDecimal current;

    /** 电压 */
    @Excel(name = "电压", width = 15)
    @ApiModelProperty(value = "电压")
    private java.math.BigDecimal voltage;

    /** 水温 */
    @Excel(name = "水温", width = 15)
    @ApiModelProperty(value = "水温")
    private java.math.BigDecimal waterTemperature;

    /** 水压 */
    @Excel(name = "水压", width = 15)
    @ApiModelProperty(value = "水压")
    private java.math.BigDecimal waterPressure;

}
