package org.jeecg.modules.largeScreen.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;


@Data
@Accessors(chain = true)
public class ItdmVoiceWSVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**id*/
    @ApiModelProperty(value = "id")
    private java.lang.Integer id;

    /** 报警信息（后端传文字，前端转换为语音）*/
    @Excel(name = "报警信息", width = 15)
    @ApiModelProperty(value = "报警信息")
    private java.lang.String voice;

}
