package org.jeecg.modules.largeScreen.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

@Data
@Accessors(chain = true)
public class TongyongDataVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**A线电压*/
    @Excel(name = "A线电压", width = 15)
    @ApiModelProperty(value = "A线电压")
    private java.math.BigDecimal voltageA;
    /**B线电压*/
    @Excel(name = "B线电压", width = 15)
    @ApiModelProperty(value = "B线电压")
    private java.math.BigDecimal voltageB;
    /**C线电压*/
    @Excel(name = "C线电压", width = 15)
    @ApiModelProperty(value = "C线电压")
    private java.math.BigDecimal voltageC;
    /**进水口温度*/
    @Excel(name = "进水口温度", width = 15)
    @ApiModelProperty(value = "进水口温度")
    private java.math.BigDecimal inTemperature;
    /**进水口水压*/
    @Excel(name = "进水口水压", width = 15)
    @ApiModelProperty(value = "进水口水压")
    private java.math.BigDecimal inWaterPressure;
    /**出水口温度*/
    @Excel(name = "出水口温度", width = 15)
    @ApiModelProperty(value = "出水口温度")
    private java.math.BigDecimal outTemperature;
    /**出水口水压*/
    @Excel(name = "出水口水压", width = 15)
    @ApiModelProperty(value = "出水口水压")
    private java.math.BigDecimal outWaterPressure;
    /**水液位*/
    @Excel(name = "水液位", width = 15)
    @ApiModelProperty(value = "水液位")
    private java.math.BigDecimal waterLevel;

}
