package org.jeecg.modules.weituo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.modules.itdmGongDan.vo.ItdmJHYQueryListVO;


import java.io.Serializable;
import java.util.List;

/**
 * @author dzc
 * @date 2023/11/8 10:38
 * @package org.jeecg.modules.weituo.entity
 * @project itdmServer
 * @des 委托结项的实体
 */

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="委托结项对象", description="委托结项信息")
public class ItdmWeituoJieXaing implements Serializable {
    private static final long serialVersionUID = 1L;

    private List<ItdmWeituoJieXaingVo> records;

    /** 分页信息 */
    private long pages;
    private long current;
    private long size;
    private long total;

}
