package org.jeecg.modules.weituo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

@Data
@Accessors(chain = true)
public class ItdmWeituoInfoTMDYVO {

    /**委托编号*/
    @Excel(name = "委托编号", width = 15)
    @ApiModelProperty(value = "委托编号")
    private String weituoNo;
    /**委托单位名称*/
    @Excel(name = "委托单位名称", width = 15)
    @ApiModelProperty(value = "委托单位名称")
    private String weituoClient;
    /**委托单位地址*/
    @Excel(name = "委托单位地址", width = 15)
    @ApiModelProperty(value = "委托单位地址")
    private String weituoAddress;
    /**委托联系人*/
    @Excel(name = "委托联系人", width = 15)
    @ApiModelProperty(value = "委托联系人")
    private String weituoLxr;
    /**委托电话*/
    @Excel(name = "委托电话", width = 15)
    @ApiModelProperty(value = "委托电话")
    private String weituoPhone;

}
