package org.jeecg.common.system.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * <p>
 * 角色信息
 * </p>
 *
 * @Author scott
 * @since 2018-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RoleVO {


      /**
       * id
       */
      private String id;

      /**
       * 角色名称
       */
      private String roleName;

      /**
       * 角色编码
       */
      private String roleCode;

      /**
       * 描述
       */
      private String description;

      /**
       * 创建人
       */
      private String createBy;

      /**
       * 创建时间
       */
      @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
      @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
      private Date createTime;

      /**
       * 更新人
       */
      private String updateBy;

      /**
       * 更新时间
       */
      @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
      @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
      private Date updateTime;


   }

