package org.jeecg.modules.approval.model.vo;

import lombok.Data;

/**
 * 任务统计VO
 *
 * @author yao
 * @since 2019/6/15 15:19
 */
@Data
public class TaskCountDataVO {

    /**
     * 统计名称
     */
    private String name;
    /**
     * 图表
     */
    private String icon;

    /**
     * 任务数
     */
    private int count;

    /**
     * 选中
     */
    private boolean selected;

    /**
     * 统计code
     */
    private String code;

    public TaskCountDataVO(String name, String icon, int count, boolean selected, String code) {
        this.name = name;
        this.icon = icon;
        this.count = count;
        this.selected = selected;
        this.code = code;
    }
}