package org.jeecg.modules.baogao.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.poi.ss.formula.functions.T;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.baogao.dto.ItdmBaogaoCreateDTO;
import org.jeecg.modules.baogao.entity.ItdmBaogao;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.baogao.vo.ItdmBaogaoListVO;
import org.jeecg.modules.baogao.vo.ItdmBaogaoVO;
import org.jeecg.modules.moban.entity.ItdmMoban;
import org.jeecg.modules.weituo.entity.ItdmWeituoInfo;
import org.jeecg.modules.weituo.entity.ItdmWeituoYangpin;
import org.jeecg.modules.weituo.entity.ItdmWeituoYangpinExtend;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @Description: 报告生成
 * @Author: jeecg-boot
 * @Date:   2023-05-19
 * @Version: V1.0
 */
public interface IItdmBaogaoService extends IService<ItdmBaogao> {


    List<ItdmWeituoInfo> queryweituoList();


    List<ItdmWeituoYangpin> queryYangpinList(String weituoId);

    List<ItdmWeituoYangpinExtend> queryShiyanList(List<String> yangpinId);


    ItdmMoban queryMubanById(String mubanid);

    Page<ItdmBaogaoListVO> pageVO(Page<ItdmBaogao> pageVO, QueryWrapper<ItdmBaogao> queryWrapper);


    String createBaogao(ItdmBaogaoCreateDTO itdmBaogao);


    ItdmBaogaoVO wordById(String id);


}
