package org.jeecg.modules.chuanganqi.service.impl;

import org.jeecg.modules.chuanganqi.entity.ItdmChuanganqi;
import org.jeecg.modules.chuanganqi.mapper.ItdmChuanganqiMapper;
import org.jeecg.modules.chuanganqi.service.IItdmChuanganqiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 传感器管理
 * @Author: jeecg-boot
 * @Date:   2023-05-17
 * @Version: V1.0
 */
@Service
public class ItdmChuanganqiServiceImpl extends ServiceImpl<ItdmChuanganqiMapper, ItdmChuanganqi> implements IItdmChuanganqiService {

    @Autowired
    @SuppressWarnings("all")
    private ItdmChuanganqiMapper chuanganqiMapper;

    /**
     * 传感器下拉列表
     */
    public List<ItdmChuanganqi> queryList(){
        return chuanganqiMapper.queryList();
    }

}
