package org.jeecg.modules.flowpath.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecg.modules.weituo.entity.ItdmWeituoInfo;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
public class ItdmRunFlowPathStepVO {


    /**主键*/
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
    /**流程id*/
    @ApiModelProperty(value = "流程id")
    private String flowPath;
    /**流程步骤id*/
    @ApiModelProperty(value = "流程步骤id")
    private String flowPathSetp;
    /**步骤名称*/
    @ApiModelProperty(value = "步骤名称")
    private String name;
    /**最后修改人员*/

    @ApiModelProperty(value = "最后修改人员")
    private String fqUser;

    private  String fqUserName;


    /**表单数据*/
    @ApiModelProperty(value = "表单数据")
    private String saveData;

    @ApiModelProperty(value = "表单数据")

    private Date shenheTime;

    @ApiModelProperty(value = "顺序")

    private String sort;

    private  Boolean isUpdate;

    private ItdmWeituoInfo itdmWeituoInfo;

    private Boolean dangqian;
}
