package org.jeecg.modules.flowpath.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;

@Data
public class NextStepUserVO {

    @Excel(name = "当前步骤用户账号", width = 15)
    @ApiModelProperty(value = "当前步骤用户账号")
    private String userName;

    @Excel(name = "当前步骤用户真实姓名", width = 15)
    @ApiModelProperty(value = "当前步骤用户真实姓名")
    @Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    private String realName;


}
