package org.jeecg.modules.inventory.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.inventory.entity.ItdmInventoryBarcode;
import org.jeecg.modules.inventory.vo.BarcodeXialaListVO;

import java.util.List;

/**
 * @Description: 库存条码
 * @Author: jeecg-boot
 * @Date:   2023-06-26
 * @Version: V1.0
 */
public interface ItdmInventoryBarcodeMapper extends BaseMapper<ItdmInventoryBarcode> {


    /**入库的样品条码列表（下拉列表）*/
    @Select("select b.bar_code, b.inventory_id, isi.sample_name from itdm_inventory_barcode b " +
            "left join itdm_sample_inventory isi on b.inventory_id = isi.id " +
            "where b.use_status = 1 and b.disable_status =0")
    public List<BarcodeXialaListVO> rukuBarcodeList();

}
