package org.jeecg.modules.inventory.service.impl;

import org.jeecg.modules.inventory.entity.ItdmSampleInventory;
import org.jeecg.modules.inventory.mapper.ItdmSampleInventoryMapper;
import org.jeecg.modules.inventory.service.IItdmSampleInventoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 样品库存
 * @Author: jeecg-boot
 * @Date:   2023-06-25
 * @Version: V1.0
 */
@Service
public class ItdmSampleInventoryServiceImpl extends ServiceImpl<ItdmSampleInventoryMapper, ItdmSampleInventory> implements IItdmSampleInventoryService {

    @Autowired
    @SuppressWarnings("all")
    private ItdmSampleInventoryMapper itdmSampleInventoryMapper;

    /**通过样品条码查询样品库存信息*/
    public ItdmSampleInventory getByBarCode(String barCode){
        return itdmSampleInventoryMapper.getByBarCode(barCode);
    }

}
