package org.jeecg.modules.inventory.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

@Data
@Accessors(chain = true)
public class ItdmSampleExpireRealListVO implements Serializable {
    private static final long serialVersionUID = 1L;

//    /**主键*/
//    @TableId(type = IdType.ASSIGN_ID)
//    @ApiModelProperty(value = "主键")
//    private java.lang.String id;
    /**样品过期申请表id*/
    @Excel(name = "样品过期申请表id", width = 15)
    @ApiModelProperty(value = "样品过期申请表id")
    private java.lang.String expireId;
    /**过期的样品条码id*/
    @Excel(name = "过期的样品条码", width = 15)
    @ApiModelProperty(value = "过期的样品条码")
    private java.lang.String barCode;
    /**处理方式*/
    @Excel(name = "处理方式", width = 15)
    @ApiModelProperty(value = "处理方式")
    private java.lang.String handlingMethod;
//    /**备注*/
//    @Excel(name = "备注", width = 15)
//    @ApiModelProperty(value = "备注")
//    private java.lang.String remark;


    /**样品名称*/
    @Excel(name = "样品名称", width = 15)
    @ApiModelProperty(value = "样品名称")
    private String sampleName;
    /**样品规格*/
    @Excel(name = "样品规格", width = 15)
    @ApiModelProperty(value = "样品规格")
    private String sampleSpecifications;
    /**生产厂家*/
    @Excel(name = "生产厂家", width = 15)
    @ApiModelProperty(value = "生产厂家")
    private String sampleManufacturer;
    /**批次号*/
    @Excel(name = "批次号", width = 15)
    @ApiModelProperty(value = "批次号")
    private String batchNumber;
}
