package org.jeecg.modules.itdmDataHistory.mapper;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.itdmDataHistory.entity.ItdmWenxiang;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 温箱历史数据
 * @Author: jeecg-boot
 * @Date:   2023-05-27
 * @Version: V1.0
 */
public interface ItdmWenxiangMapper extends BaseMapper<ItdmWenxiang> {

    /**折线图*/
    List<ItdmWenxiang> selectWXGraphList(String deviceId);

    /**删除所给日期之前的所有数据*/
    @Select("delete from itdm_wenxiang where create_time <= #{lastYearOfToday}")
    void deleteByTime(@Param("lastYearOfToday") Date lastYearOfToday);

}
