package org.jeecg.modules.itdmGongDan.convert;

import org.jeecg.modules.itdmGongDan.vo.ItdmJHYQueryListVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;
import org.springframework.util.CollectionUtils;

import java.util.Date;
import java.util.stream.Collectors;

@Mapper(unmappedTargetPolicy = ReportingPolicy.IGNORE,imports ={ CollectionUtils.class, Collectors.class})
public interface ItdmJHYQueryConvert {

    ItdmJHYQueryConvert INSTANCE = Mappers.getMapper(ItdmJHYQueryConvert.class);

    @Mapping(target ="id",source ="i")
    @Mapping(target ="jihuaStartDate",source ="shijiStartDate")
    @Mapping(target ="jihuaEndDate",source ="shijiEndDate")
    @Mapping(target ="izShiji",source ="izShiji")
    ItdmJHYQueryListVO convert(ItdmJHYQueryListVO vo, Date shijiStartDate,Date shijiEndDate,Integer i,String izShiji);

}
