package org.jeecg.modules.itdmGongDan.service.impl;

import org.jeecg.modules.itdmGongDan.entity.ItdmGongdanMaster;
import org.jeecg.modules.itdmGongDan.mapper.ItdmGongdanMasterMapper;
import org.jeecg.modules.itdmGongDan.service.IItdmGongdanMasterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 工单master
 * @Author: jeecg-boot
 * @Date:   2023-05-28
 * @Version: V1.0
 */
@Service
public class ItdmGongdanMasterServiceImpl extends ServiceImpl<ItdmGongdanMasterMapper, ItdmGongdanMaster> implements IItdmGongdanMasterService {
    @Autowired
    @SuppressWarnings("all")
    private ItdmGongdanMasterMapper masterMapper;

    /**
     * 根据委托id查工单master
     */
    public List<ItdmGongdanMaster> listByWeituoId(String weituoId){
        return masterMapper.listByWeituoId(weituoId);
    }
}
