package org.jeecg.modules.itdmGongDan.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.jeecg.modules.weituo.entity.ItdmWeituoInfo;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
public class DeviceCalendarDeviceListVO implements Serializable {

    /**计划设备id*/
    @Excel(name = "计划设备id", width = 15)
    @ApiModelProperty(value = "计划设备id")
    private java.lang.String jihuaDeviceId;

    /**计划设备名称*/
    @Excel(name = "计划设备名称", width = 15)
    @ApiModelProperty(value = "计划设备名称")
    private java.lang.String deviceName;

    /**委托列表*/
    @ApiModelProperty(value = "委托列表")
    private List<ItdmWeituoInfo> weituoInfoList;
}
