package org.jeecg.modules.itdmGongDan.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
public class DeviceCalendarVO implements Serializable {

    /**任务日期*/
    @Excel(name = "任务日期", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "任务日期")
    private java.util.Date workDate;

    /**设备列表*/
    @ApiModelProperty(value = "设备列表")
    private List<DeviceCalendarDeviceListVO> deviceList;
}
