package org.jeecg.modules.itdmPersonManage.service.impl;

import org.jeecg.modules.itdmPersonManage.entity.ItdmPersonManage;
import org.jeecg.modules.itdmPersonManage.mapper.ItdmPersonManageMapper;
import org.jeecg.modules.itdmPersonManage.service.IItdmPersonManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 人员管理
 * @Author: jeecg-boot
 * @Date:   2023-05-17
 * @Version: V1.0
 */
@Service
public class ItdmPersonManageServiceImpl extends ServiceImpl<ItdmPersonManageMapper, ItdmPersonManage> implements IItdmPersonManageService {

    @Autowired
    @SuppressWarnings("all")
    private ItdmPersonManageMapper itdmPersonManageMapper;

    /**
     * 项目经理下拉列表
     */
    public List<ItdmPersonManage> queryList(String position){
        return itdmPersonManageMapper.queryList(position);
    }

}
