package org.jeecg.modules.itdmgongdanshuju.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 工单detail
 * @Author: jeecg-boot
 * @Date:   2023-05-21
 * @Version: V1.0
 */
@Data
public class ItdmGongdanDto implements Serializable {
    private static final long serialVersionUID = 1L;

	/**工单id*/
    private String woId;

	/**实绩试验类型*/
    private String shiyanType;

	/**试验开始时间*/
    private String shiyanKaishitime;
	/**试验结束时间*/
    private String shiyanJieshutime;

    private String shebeiId;

    private String riqi;

    /**频次*/
    private String pinci;
}
