package org.jeecg.modules.jixiaoPersonPrice.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class JixiaoPersonPriceAddDTO {

    /**委托编号*/
    @Excel(name = "委托编号", width = 15)
    @ApiModelProperty(value = "委托编号")
    private java.lang.String weituoNo;
    /**量化积分*/
    @Excel(name = "量化积分", width = 15)
    @ApiModelProperty(value = "量化积分")
    private java.math.BigDecimal lhJifen;
    /**绩效人员*/
    @Excel(name = "绩效人员", width = 15)
    @ApiModelProperty(value = "绩效人员")
    private java.lang.String name;
    /**创建日期*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;

}
