package org.jeecg.modules.weituo.convert;

import org.jeecg.modules.weituo.entity.ItdmWeituoInfo;
import org.jeecg.modules.weituo.entity.ItdmWeituoJieXaingVo;
import org.mapstruct.Mapper;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;
import org.springframework.util.CollectionUtils;
import java.util.stream.Collectors;

/**
 * @author dzc
 * @date 2023/11/9 9:03
 * @package org.jeecg.modules.weituo.convert
 * @project itdmServer
 * @des
 */
@Mapper(unmappedTargetPolicy = ReportingPolicy.IGNORE, imports ={ CollectionUtils.class, Collectors.class})
public interface WeituoJieXiangConvert {

    WeituoJieXiangConvert INSTANCE = Mappers.getMapper(WeituoJieXiangConvert.class);

    ItdmWeituoJieXaingVo toWieituoInfo(ItdmWeituoInfo weituoInfo);
}
