package org.jeecg.modules.weituo.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class WeituoInsertCommand {


    /**
     * 委托单位名称
     */
    private String weituoClient;
    /**
     * 委托单位地址
     */
    private String weituoAddress;
    /**
     * 委托联系人
     */
    private String weituoLxr;
    /**
     * 委托电话
     */
    private String weituoPhone;
    /**
     * 委托邮箱
     */
    private String weituoEmail;
    /**
     * 报告用章
     */
    private String bgyz;
    /**
     * 报告形式
     */
    private String bgxs;
    /**
     * 特殊要求
     */
    private String teshuyaoqiu;

    /**
     * 试验条件文件地址
     */
    private String tiaojianFile;


    private List<WeituoYangpin> yangpins;


    private List<WeituoYangPinShiYan> pinShiYans;


    @Getter
    @Setter
    public static final class WeituoYangpin {
        //辅助  样品扩展 id
        private String key;

        private String sampleName;


        private String sampleModelSpecification;


        private Integer sampleQuantities;


        private String sampleManufacturer;


    }

    @Getter
    @Setter
    public static final class WeituoYangPinShiYan {
        /**
         * 样品id——新增时前端传来的实际是样品名称
         */
        private String yangpinKeyId;
        /**
         * 样品规格型号
         */
        private String sampleModelSpecification;
        /**
         * 检测项目
         */
        private String testItems;
        /**
         * 检测依据
         */
        private String standardRequirement;
        /**
         * 判定依据
         */
        private String judgementBasis;

        private String yijufile;

        /**
         * 备注
         */
        private String beizhu;
    }
}
