package org.jeecg.modules.weituo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecg.modules.itdmGongDan.vo.ItdmJHYQueryListVO;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.bind.annotation.GetMapping;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author dzc
 * @date 2023/11/8 11:12
 * @package org.jeecg.modules.weituo.entity
 * @project itdmServer
 * @des
 */
@Data
public class ItdmWeituoJieXaingVo implements Serializable{
    private static final long serialVersionUID = 1L;



    /**主键*/
    private String id;
    /**创建人*/
    private String createBy;
    /**创建日期*/
    private Date createTime;
    /**更新人*/
    private String updateBy;
    /**更新日期*/
    private Date updateTime;
    /**所属部门*/
    private String sysOrgCode;
    /**委托编号*/
    private String weituoNo;
    /**委托单位名称*/
    private String weituoClient;
    /**委托单位地址*/
    private String weituoAddress;
    /**委托联系人*/
    private String weituoLxr;
    /**委托电话*/
    private String weituoPhone;
    /**委托邮箱*/
    private String weituoEmail;
    /**报告用章*/
    private String bgyz;
    /**报告形式*/
    private String bgxs;
    /**特殊要求*/
    private String teshuyaoqiu;
    /**审核状态*/
    private String shenheStatus;
    /**审核错误原因*/
    private String shenheMsg;
    /**审核时间*/
    private String shenheTime;
    /**试验条件文件地址*/
    private String tiaojianFile;
    /**委托是否完结（0未完结，1已完结）*/
    private String completeStatus;


    /**检测项目ID*/
    @Excel(name = "检测项目ID", width = 15)
    @ApiModelProperty(value = "检测项目ID")
    private String test_items_id;

    /**检测项目*/
    @Excel(name = "检测项目", width = 15)
    @ApiModelProperty(value = "检测项目")
    private String testItems;
    /**样品名称*/
    @Excel(name = "样品名称", width = 15)
    @ApiModelProperty(value = "样品名称")
    private java.lang.String sampleName;
    /**项目经理*/
    @Excel(name = "项目经理", width = 15)
    @ApiModelProperty(value = "项目经理")
    private java.lang.String pm;

}
