package org.jeecg.modules.weituochaxun.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.jeecg.common.aspect.annotation.Dict;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class ItdmWeituoAllVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**主键*/
    private String id;
    /**创建人*/
    private String createBy;
    /**创建日期*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**更新人*/
    private String updateBy;
    /**更新日期*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**所属部门*/
    private String sysOrgCode;
    /**委托编号*/
    private String weituoNo;
    /**委托单位名称*/
    private String weituoClient;
    /**委托单位地址*/
    private String weituoAddress;
    /**委托联系人*/
    private String weituoLxr;
    /**委托电话*/
    private String weituoPhone;
    /**委托邮箱*/
    private String weituoEmail;
    /**报告用章*/
    private String bgyz;
    /**报告形式*/
    private String bgxs;
    /**特殊要求*/
    private String teshuyaoqiu;

    @Dict(dicCode = "shenhe_status")

    /**审核状态*/
    private String shenheStatus;
    /**审核错误原因*/
    private String shenheMsg;
    /**审核时间*/
    private String shenheTime;
    /**试验条件文件地址*/
    private String tiaojianFile;

    private String weituoId;
    /**样品名称*/
    private String sampleName;
    /**样品规格/型号*/
    private String sampleModelSpecification;
    /**样品数量*/
    private String sampleQuantities;
    /**生产厂家*/
    private String sampleManufacturer;
    /**样品编号*/
    private String sampleCode;

    /**样品id*/
    private String yangpinId;
    /**检测项目*/
    private String testItems;
    /**检测依据*/
    private String standardRequirement;
    /**判定依据*/
    private String judgementBasis;
    /**备注*/
    private String beizhu;

    private String startTime;
    private String endTime;


    private String yijufile;
}
